Instance_Retake_Weathertop = class(Window);

function Instance_Retake_Weathertop: GetName()
	return "Instance: Retake Weathertop";
end

function Instance_Retake_Weathertop: IsRunning()
	return (self.window ~= nil);
end

function Instance_Retake_Weathertop: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Instância: Retomando o Topo do Vento"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Candaith-30.1S, 37.9W - Candaith's Encampment - Lone-lands");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRetomar Weathertop\n' Weathertop ... uma vez uma torre de vigia dos Dúnedain , agora um refúgio para Orcs. Candaith, o Ranger, se esforça para quebrar seu ponto de apoio nas Weather Hills ....");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n O Ranger Candaith pediu sua ajuda em uma missão para remover a ameaça dos Orcs das Colinas. Candaith acredita que a presença de Orcs do Sul em Weathertop é um precursor de uma invasão de Eriador.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Candaith\nVocê chegou ao sopé do Weathertop para descobrir que os orcs do sul chegaram ao cume. Candaith aguarda sua ajuda para expulsar o bando de guerra das ruínas de Amon Sûl .\n\nCandaith: 'Devemos nos apressar. Temos os líderes desses Uruk-hai encurralados como ratos nas encostas do Topo do Vento. Se pudermos derrotá-los, ainda podemos quebrar a vontade desse bando e levá-los a choramingar para seus mestres no sul. Esteja preparado para qualquer coisa.\n\nProteger Candaith\n\nCandaith diz: 'Seus líderes se reuniram na colina.'\nO Recruta da Mão Branca diz: 'Mantenha uma vigilância apertada. Não queremos surpresas.'\nCandaith diz: 'Espere! Deixe a patrulha sair de vista.'\nO Recruta da Mão Branca diz: 'Qualquer coisa que vier por aqui, vai se arrepender.'\nO recruta da mão branca diz: 'Mate-os! Mate-os todos!'\nCandaith diz: 'Esta tocha pode ser útil.'\nCandaith diz: 'Um de vocês pegue essa tocha...'\nCandaith diz: 'Talvez possamos acender uma fogueira para chamar a atenção dos goblins.'\nCandaith diz: 'Podemos dividir suas forças'.\nCandaith diz: 'Esteja preparado para qualquer coisa.'\nO recruta da mão branca diz: 'Mate-os! Mate-os todos!'\n\n2- Fale com Candaith\nUma pequena força de goblins o recebeu aos pés do Topo do Vento. Candaith enviou você pelo caminho à esquerda, enquanto ele limpará o caminho à direita, encontrando-se novamente no topo do Weathertop.\n\nCandaith diz: 'A estrada diverge à frente. Precisamos nos separar'.\nCandaith diz: 'Lembre-se das tochas. Podemos evitar uma ou duas escaramuças.'\nCandaith diz: 'Precisamos ser rápidos. Esses Orcs devem ser expulsos das Terras Solitárias'.\nCandaith diz: 'Não podemos falhar aqui, amigos.'\nCandaith: 'O caminho diverge à frente. Eu seguirei a trilha da direita, você segue o caminho da esquerda. Se tudo correr bem, nos encontraremos novamente no pico do Weathertop. Espere até eu sumir de vista antes de prosseguir.\n“Lembre-se, devemos derrotar os líderes deste bando de guerra se quisermos desencorajá-los. Use as tochas que você encontra nas piras apagadas ao longo do caminho. Eles podem chamar a atenção de orcs próximos.'\nCandaith diz: 'Vou viajar para a direita'.\nCandaith diz: 'Você pega o caminho para a esquerda...'\nCandaith diz: 'Nós nos encontraremos na crista do Weathertop'.\nCandaith diz: 'Se você encontrar Bûb-hosh ou Muz, derrote-os.'\n\n3- Derrote Bûb-hosh\nDerrote Muz , o Guardião Warg\nCandaith enviou você por um ramo do caminho até o Topo do Vento, enquanto ele pegava o outro, em busca dos líderes do bando de guerra Orc.\n\nProcure os inimigos Bûb-hosh e Muz\nBûb-hosh grita quando ele se aproxima, 'O que é toda essa confusão, seus malditos!?'\nBûb-hosh diz: 'Vermes ingratos! Sharkû vai saber disso!'\nBûb-hosh diz: 'Sua vida acaba agora, Homem!'\nBûb-hosh diz: 'Voe, voe daqui! Estamos derrotados!'\nBûb-hosh diz: 'Vingam-me, vermes!'\nDerrotado Bûb-hosh\nMuz diz: 'Vou alimentar os Wargs com você!'\nMuz diz: 'Tenho uma surpresa para você!'\nDerrotou Muz, o Guardião Warg\nO uivo de Throk-goth direciona seus lacaios para atacar !\nO guardião do Warg da Mão Branca diz: 'Eu vou matar a (sua raça )( elfo,humano,hobbit) '\nWhite Hand Lookout diz: 'Eu vou pegar os goblins e Orcs. Nós vamos pegar esse târk!'\n\n4- Fale com Candaith no pico do Weathertop\nEm algum lugar acima de você no caminho, Candaith espera para falar com você novamente.\n\nVocê derrotou dois dos líderes do grupo de guerra Orc.\n\nCandaith: 'Você se saiu bem, melhor do que eu, ao que parece. Uruk-hai e Orcs quase me venceram e minhas feridas são profundas.\n- Mas você não deve se preocupar comigo agora. Além desse portão está o Uruk que lidera essa força. Passe pelo portão e derrote-o. Não podemos permitir que esses orcs tomem conta do norte.\nEscolte Candaith até o portão\nCandaith diz: 'Temo que meus ferimentos sejam maiores do que eu esperava, amigos'.\nCandaith diz: 'Vou abrir o portão e segurar a retaguarda'.\nCandaith diz: 'Permanecerei aqui para impedir o inimigo, caso decidam fugir'.\nCandaith diz: 'Esteja preparado para qualquer coisa.'\n\n5- Derrote Rigûl\nDerrote os lacaios de Rigûl\nVocê encontrou o líder da expedição de Saruman , o Uruk Rigûl. Você deve derrotar Rigûl e seus lacaios para quebrar sua vontade e expulsá-los das Colinas.\n\nEncontre e derrote o líder Uruk-hai\nRigûl diz: 'Acelerem o ritmo, seus preguiçosos!'\nWhite Hand Lookout diz: 'Qual é a pressa, Rigûl? A colina é nossa...'\nRigûl diz: 'É a metade disso, sapo! Não vamos deixar o Sharkû esperando!'\nRigûl diz: 'Desça a colina e traga as toras. Temos uma pira para construir.'\nO Mestre do Arco da Mão Branca diz: 'Coloque as toras com o quê? Você fala muito alto, Rigûl.'\nRigûl diz: 'Use sua cabeça, sua lesma inútil!'\nRigûl diz: 'Leve Olog-snaga para lá e coloque-o para trabalhar!'\nRigûl diz: 'Sinta o poder dos Uruk-hai!'\nRigûl diz: 'Eu não serei derrotado por você! Tenho uma pequena surpresa!'\nRigûl diz: 'Agora você morre!'\nRigûl diz: 'Saruman vai te encontrar!'\nDerrotou Rigûl\nWhite Hand Lookout diz: 'Vou dividir seu crânio por isso!'\nWhite Hand Gourger diz: 'Vou ver se você acabou, verme!'\nDerrotou Olog-snaga\n\n6- Fale com Candaith\nA expedição Uruk-hai está em ruínas. Você ganhou o dia. Você deveria falar com Candaith.\n\nCandaith: 'Minhas feridas são graves, mas vou me recuperar. Venha, voltaremos ao meu acampamento.\nCandaith diz: 'Vocês foram muito bem, amigos. Unh...'\nOU\nCandaith diz: 'Você foi muito bem. Unh...'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nNota: Esta missão é oferecida tanto na versão de grupo (fellowship) quanto na versão solo .\n\nVersão Solo\nNote que mesmo que os mobs nesta missão sejam cinzas, eles serão agressivos como se você estivesse no nível.\n\nEnquanto você acompanha Candaith até a montanha, ele o instruirá a pegar uma tocha e aplicá-la na madeira. Diretamente do outro lado do caminho da tocha que ele indica é uma pirâmide de toras. Quando estiver segurando a tocha, passe pelos troncos e esfregue-os para criar uma fogueira. Enquanto estiver carregando as tochas, você não poderá usar sua arma; se você for atingido o suficiente por mobs, você deixará cair a tocha (e ela será perdida). No entanto, há muito mais tochas do que você precisará para a missão, e você sempre pode pegar outra.\n\nAcender uma fogueira atrairá mobs, mesmo quando você estiver fora do alcance do aggro. Portanto, o procedimento recomendado é matar todos os mobs dentro do alcance aggro dos troncos ANTES de pegar uma tocha e acender a fogueira para puxar o resto. Acender o bonfile puxará alguns dos mobs restantes, mas não todos. Confie em uma estratégia de dividir para conquistar.\n\nEm um portão logo depois de instruí-lo a pegar a tocha, Candaith sairá, orientando você a matar Bûb-hosh e Muz the Warg-Keeper . Você encontrará Bûb-hosh em um beco sem saída no meio da montanha. Depois de matá-lo, você se virará e seguirá mais para cima da montanha (há um ziguezague em 31.6S, 36.4W). Este caminho está bloqueado por um portão trancado; para abri-lo, acenda a fogueira ali. Isso irá agredir alguns orcs da Mão Branca, possivelmente incluindo um lançador de fogo.\n\nNesse ponto, os inimigos ficam um pouco mais altos em nível e há wargs e lançadores de fogo em quase todos os grupos. Não se esqueça de matar antes de acender fogueiras ou você pode aggro muitos mobs de uma só vez.\n\nMuz está no topo do caminho, junto com seu animal de estimação Throk-goth e alguns wargs normais. Depois de derrotar Muz, continue pelo caminho (não caia - ele fica muito estreito), matando mobs à medida que avança, até encontrar Candaith novamente perto do pico da montanha.\n\nCandaith está ferida e fica para trás no portão final, instruindo você a encontrar e matar o capitão orc Rigûl . Você receberá automaticamente o buff Inspired Greatness neste momento. Mesmo se você ficar no portão fora do alcance do aggro, Rigûl e alguns orcs atacarão. Mate os outros orcs primeiro, porque quando os pontos de vida de Rigûl ficarem baixos, ele não poderá mais ser atacado e convocará mais um punhado de orcs. Quando você derrotar esses orcs, Rigûl convocará um troll da montanha e se tornará atacável novamente. Quando você derrotar o troll e Rigûl, Candaith vai mancar montanha acima e se juntar a você. A missão está terminada e você retornará ao acampamento com Candaith.\n\nO jogador solo receberá um efeito de Grandeza Inspirada durante o encontro final.\n\nVersão de grupo \nPrimeiro - uma palavra sobre as tochas. Eles podem ser úteis. Uma pessoa (uma classe DPS) deve pegar uma tocha. Você pode 'usá-los' caminhando perto de uma pirâmide de troncos (parece uma fogueira apagada). Isso fará com que os orcs venham correndo, abrindo portões que não podiam ser abertos no processo.\n\nO primeiro chefe que você encontrará é Bûb-hosh . Quando ele estiver com uma saúde extremamente baixa, ele se tornará inatacável e recuará. Neste ponto, o ataque deve matar todos os outros orcs antes de segui-lo. Ele estará mais adiante no caminho, com outro grupo de orcs. No entanto, ele ainda está com a saúde extremamente baixa e pode ser derrubado rapidamente.\n\nAinda mais ao longo do caminho, você encontrará o próximo chefe, Muz . Ele é extremamente fraco, mas convocará uma elite chamada warg, Throk-goth . O tanque deve ficar no centro do caminho (ignorando Muz), e chamar a atenção do warg quando for invocado. Um ou dois DPSs devem derrubar Muz, enquanto o resto do ataque derruba Throk-goth.\n\nVocê deve então continuar até o caminho. Você encontrará Candaith novamente e continuará até o topo da colina.\n\nRigûl fica no centro da colina, com vários outros uruk-hai. Eles não são muito perigosos, mas, com cerca de ¼ de saúde, ele convocará um enorme, desagradável e perigoso troll da montanha (6,6 mil de moral). O tanque deve chamar sua atenção o mais rápido possível, e o menestrel deve curar o tanque. O resto deve começar a trabalhar nos poucos orcs na área, então trabalhar para derrubar o troll. Um guardião de runas é útil aqui. O troll pode decidir se afastar e atacar um DPS, então o tanque deve correr atrás dele e chamar sua atenção novamente. Quando ele estiver caído, limpe todos os lacaios que você perdeu antes e fale com Candaith. Instância concluída!");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido pelo Dastan e patrocinado pelo Nelson Oliveira");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Instance_Retake_Weathertop:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Instance_Retake_Weathertop()); 